Models
List Models
Use this endpoint to list models in the Avala API using GET on /models/.
GET
/
models
/
cURL
curl --request GET \
--url https://api.avala.ai/api/v1/models/ \
--header 'X-Avala-Api-Key: <api-key>'import requests
url = "https://api.avala.ai/api/v1/models/"
headers = {"X-Avala-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Avala-Api-Key': '<api-key>'}};
fetch('https://api.avala.ai/api/v1/models/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"name": "<string>",
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"model_type_name": "<string>",
"model_type_description": "<string>",
"is_public": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>",
"previous": "<string>"
}Authorizations
API_KeyJWT
API key for authentication. Generate one in Mission Control Settings > Security & Identity.
Query Parameters
Which field to use when ordering the results.
The pagination cursor value.
Number of results to return per page.
Sets the CursorPagination offset when cursor is also set. e.g. cursor=...&offset=1
Sets the CursorPagination reverse when cursor is also set. e.g. cursor=...&reverse=1.
Was this page helpful?
⌘I
cURL
